#Akregator ChangeLog
===================
(c) 2004-2007 the Akregator authors.

Changes after 1.2.7:
-----------------------------

Bug fixes:

 2007/10/05 Fix storage backend waking up CPU every 3 seconds (#150389) -ew
            Original patch by Alan Jenkins

Changes after 1.2.6:
-----------------------------

Bug fixes:

 2007/02/24 fix crash when using "Load the full website when reading articles" and an error (e.g. 404) 
            is returned (2nd try) (#126812) -fo 

Changes after 1.2.5:
-----------------------------

Bug fixes:
 2006/11/30 Use "firefox %u" as default for the alternative browser command (#115777)
 2006/11/24 Add session management for browser tabs (#100964) Patch by Carsten Pfeiffer <pfeiffer at kde.org> -fo
 2006/11/10 Fix crash in Konqueror icon plugin sometimes happening when switching parts (#134929) -fo
 2006/10/31 Fix group name encoding bug when adding feeds from commandline (e.g., using the Konq plugin) (#136559)
            Patch by Andrey Cherepanov.

Changes after 1.2.4:
-----------------------------

Bug fixes:

 2006/09/18 Set default font sizes, prevents use of font size 1 in article viewer on first startup -fo
 2006/08/28 Do not create multiple items in the feed lists when dragging feeds to a folder
            that was moved before (#124303) -fo
 2006/08/26 Fix a possible crash in the internal browser when going forward -fo
 2006/08/26 show error messages while browsing as HTML, not as annoying popups (#107740) -fo
 2006/08/25 Show title of selected feed in window caption (#111471) -fo
 2006/08/25 Konqueror plugins: correctly enable/disable icon when enabling/disabling the plugin (#132823) -fo
 2006/08/21 Don't crash on very long URLs (>255 chars) used for feed logos (#130849) -fo
 2006/08/20 Konqueror plugins: Fix crash when using the Akregator plugin in file manager mode (#124891) -fo
 2006/08/20 Feed detection: Fix detection when relative URLs are used in the link tags (#132687) -fo
 2006/08/17 Speak selected text in internal browser when using the "Speak Text" button (#132505) -fo

Changes after 1.2.3:
-----------------------------

Bug fixes:

 2006/07/07 Remove tray icon when disabling Akregator part in Kontact (#130127) -fo
 2006/07/07 Fix a crash on shutdown occurring in ProgressManager (#130377) -fo
 2006/06/25 Fix context menus in browser tab, show appriopriate entries when
            text is selected (copy action) or the cursor is over a link 
            (#121957) -fo
 
Changes after 1.2.2:
-----------------------------

New features:

 2006/05/01 add author information to article header (in the article pane only) -fo

Bug fixes:

 2006/05/20 Select oldest item instead of newest when jumping to the next feed using previous [unread] 
            article actions (#126316) -fo
 2006/05/20 Disable Apply-Button in config dialog correctly if no changes were made (#103820) -fo
 2006/05/20 Don't reset article status to New when the article changed (#101907) -fo
 2006/05/10 Always show feed logos; load them on startup, not on first fetch -fo
 2006/05/10 fix crash when using "Load the full website when reading articles" and an error (e.g. 404) 
            is returned (#126812) -fo 
 2006/04/29 Do not crash on startup when Combined View mode is activated (Happened only when experimental tagging is 
            activated) -fo
 2006/03/22 Prevent "Akregator is running" messages on startup (reset PID to -1 when closing akregator) -fo

Changes after 1.2.1:
-----------------------------

Bug fixes:

 2006/03/09 Read more feed metadata for Atom feeds (title, link) (#123140) -fo
 2006/03/09 Use "refresh" cache mode as default, ignoring konq settings. 
            ("refresh" == Use cache after verifying with server) 
            This should make disabling the "Use browser cache" option unnecessary. -fo
 2006/02/21 Set "rel" attribute default to "alternate", as requested by Atom specification (#122409) -ew
 2006/02/21 Disable category and tag support (unless experimental GUI is enabled) in the metakit backend, 
            so it supports about 1000 feeds (500 with tags enabled) instead of 340
            now with the default 1024 open files limit on most systems. -fo
 2006/02/15 Combined View: Do not crash on "Next/Prev Unread Article" (#121999) -fo
 2006/01/31 RSS parser: ignore unknown or invalid version attribute value in the <rss> tag and
            just assume RSS 2.0. The older formats are compatible to 2.0, so this should work.
            (at least better than refusing to parse the feeds) (#118793) -fo

Changes after 1.2:
-----------------------------

Bug fixes:

 2006/01/17 Do not open binary files in the HTML viewer but externally. 
            Fix Save Link As for binary files (regression introduced after 1.2) 
            (#120087 (partially)) -fo
 2006/01/16 Fix article order in Combined View: sort by date (reversed) (#118055) -fo
 2006/01/15 Fix parsing of Atom 1.0 feeds with escaped HTML in it: Don't show tags
            as text (#112491, #117938) -fo
 2006/01/10 Select next item in article list when deleting the selected article
            (single selection mode only) (#119724) -fo
 2006/01/10 Fix item handling in the feed list, avoid crashes as happening 
            after moving a folder and deleting a subitem afterwards 
            (#118659) -fo
 2006/01/08 Fix problems with keyboard navigation getting stuck on duplicated
            articles and prevent creation of new items when selecting an unread
            dupe (#114997) -fo
 2005/12/05 Wait 30 minutes before retrying fetching when fetching failed (host
            down, parsing error) (#113358) -fo

Changes after 1.0:
-----------------------------

Note: This section (i.e. changes between 1.0 and 1.2) is completely incomplete

New features:
       - add "Save link as" to context menus -fo
       
Changes:
       - Changed prev/next unread article actions to cycle through all unread articles -fo	
       - The article archive is now configurable, using metakit implementation as default.
         This increases startup speed and reduces memory usage significantly -fo
       - Make it possible to fetch feeds while other fetches are running -fo
       
Bug fixes:

	- Respect markImmediatelyAsRead setting when updating articles (#103502) -fo
	- make "fetch feeds on startup" option work again (#102085) -fo
	- Fix favicons, load them on startup (#94888) -fo
	- make BrowserRun delete itself when the Viewer gets destroyed (#101413) -tpr
        - tolerate leading and trailing whitespace in the Add Feed Dialog (#101988) -fo
        - fixed confusion of "disable archiving" and expiry by age (#101907) -fo
        - show open|save|cancel dialog for non-html links (101274) -fo
	- make forms work again (regression) (#94964) -fo
	- fix notification when running as kontact plugin -fo


Changes after 1.0b9:
-----------------------------

Bug fixes:
       - fixed printing of articles (no infinite number of pages anymore) -fo

Changes after 1.0b8:
-----------------------------

New features:
       - Make fonts configurable, added zoom in/out actions -fo
       - Use KNotify for notification -fo
       - Make caching configurable -fo
       - Forms work in the internal browser -gs
       - Enable sorting in article list -gs
       - Add possibility to delete article -fo
       - Allow bookmarking articles in global bookmarks -gs

Changes:     
       - Added new about page, designed by Lokheed, lokheed at gmail.com -fo
       - Use TDEPIM's progressbar -tpr
       - Update unread count when stopping fetching before it's finished -tpr
       - Added "Keep flag set" to the search combobox -fo
       - Added optional close buttons on browser tabs -fo
       - Prevent unreachable feeds from blocking the fetching process (timeout) -fo

Bug fixes (selection):
       - Disable dnd in feed tree until the feed list is loaded (prevents crash) -fo 
       - Decode the url before adding new feed, makes feed urls with special characters (?, =, &) to work -tpr
       - Don't crash when deleting feeds which are currently fetching -fo
       - Don't ignore updates in article which have a GUID -fo
       - Don't set non-parsable dates to 1970/01/01 -fo
       - added <xml> processing instruction to exported OPML -sk
       

Changes after 1.0b7:
-----------------------------

New features:
       - Add icon to konqueror to show if page has a feed -tpr
#85532 - Add feed summary -tpr
#84314 - added print command for article viewer -fo 
#92330 - Added possibility to set article status (read/unread/new) manually -fo
       - Added basic "keep flag" support to prevent articles from expiring -fo

Changes:
       - Add pageviewer actions into Go menu and print to file menu when in pageviewer mode -tpr
       - improve tabbed browsing: added back/forward buttons, improved context menus - fo
       - make search bar optional -fo
       - Do not allow user to stop feedlist loading to avoid data loss -tpr
       - Do not show feedlist url in title -tpr
       - Clear the statusbar when pressing Stop button -tpr

Bug fixes:
       - save and restore open/close state of feed groups -fo
       - Use isNull() instead of comparing to QString::null -tpr
       - Make kontact plugin work with Kontact from CVS HEAD -fo
       - Don't load kontact plugin when akregator is already running -fo
       - Fix expiry by age (global setting was ignored) -fo
       - Make trayicon and configure dialog available in kontact -fo
       - Save and restore open/closed state of feed groups -fo
       - Fix interval fetching (Exclude feeds with custom settings from global fetch) -fo
#84528 - Make session management to save and load feedlist when appropriate -tpr
#88437 - Show credits on Kontact's about dialog -tpr
#91660 - Don't crash on exit when internal browser widgets are opened or the article viewer is loading -fo
#93739 - Fix Alignment of text body for right-to-left scripts -fo


Changes after 1.0b6:
-----------------------------

New features:

Changes:

#84133,
#85691 - added KMail-like key bindings -fo
       - Advanced archive options: Limit article number, disable archive -fo
       - Add "Fetch All Feeds" into context menu of trayicon -tpr
       - Show position of the tray icon with image in dialog when pressing the close button -tpr
       - Display proper error message when no feed found in add feed -tpr
       - make systray icon optional (Patch by Christof Musik,
       christof(at)freenet.de) -fo
       - added "Export Feeds" function to export the standard feed list -fo
       - Expiry support added -fo

Bug fixes:
#85409 - Resolve entities in feed titles -fo
#90671 - Shutdown properly hopefully fixes #89172 too -tpr
       - Update combined view after fetching new articles (doesn't work in group view yet)


Changes after 1.0b5:
-----------------------------

Changes:
       - Improved dupe detection, using md5 now -ph
#82187 - Improved session management: save search settings, selected Feed and Article -fo
       - Make it possible to switch notifications off -tpr
	   - Switch to a standard feed system, like most aggregators -smt
#82082 - New message notification added -smt
       - Show comments URL for feeds, if available -smt
       - Only allow one akregator instance (KUniqueApplication) -smt
       - Autosave: Feeds are autosaved on every change now - save actions removed -smt
       - Support feed protocol -smt
#85265 - Add feed column when browsing through a folder -smt

Bug Fixes:
       - Make i18n work in konqueror plugin -tpr
       - Fixed problems with whitespace handling -ph
       - Make MMB work again in pageviewer -tpr
#83995 - Don't crash when exiting KDE -fo
#82791 - Save the toolbar position -tpr
       - Don't crash when there is no part available -tpr
       - Make tabs wider when there is free space available -tpr
       - Make feedlist saving work in kontact -smt
	   - Remove all leading space between article text and headers -smt
#86633 - Make tabs appear immediatly on slow sites -smt
#85748 - Make filtering in combined mode work -smt
#86917 - Make searching in combined mode work -smt
#85451 - Open feed list properly in kontact


Changes after 1.0b4:
-----------------------------

Changes:
       - Load last loaded feed list in kontact plugin (#84351) - smt
       - Show regular akregator icon in tray if there are no unread articles. Based on patch from cartman. -berkus
       - Implement session mangement (#82868) - smt

Bug Fixes:
#84095 - akregator article view doesn't display <pre> passages correctly -berkus
#82820 - Kontact crashes when fetching - smt
#84272 - aKregator doesn't restore feed list after logout with running application
#81995 - Don't crash when changing from/to combined view when folder selected -tpr
#82024 - Fix drag&drop regression which made it possible have multiple top level folders -sg
#84471 - Fix sorting of articles with no pubDates - smt
#83102 - Fix handling of non-HTML web pages - smt
#83187 - Reset scrollbar while switching feeds in combined view - smt


Changes after 1.0b3:
-----------------------------

New Features:
#82023 - Added middle mouse button option to open tabs in background -tpr
#83202 - "Clear" button for search string -berkus
       - Per feed interval fetching -smt
       - Konqueror plugin for adding feeds to aKregator from context menu -PhantomsDad
       - Command line options for adding feeds -PhantomsDad
       - In case the feed doesn't provide an article <link> element, fall back to the <guid> permaLink -sg

Bug Fixes:
       - Update interval spinbox should be disabled if the checkbox isn't checked -tpr
       - "aKregator - 0 unread" -> "aKregator - No unread articles" -tpr
       - Scroll up when changing the article in article viewer -tpr
       - Various frame-switching bug fixes -smt
       - Fix favicon loading crash (#82682) -smt
       - Various stop-button related bug fixes -smt
       - Changed "Copy Link Location" to "Copy Link Address" because of the new naming standard of KDE -tpr
       - Fix archiving of article <guid> elements -sg


Changes after 1.0b2:
-----------------------------

New Features:

       - Configuration dialog added -tpr
       - Kontact plugin added -smt
       - Ability to mark all entries as read on exit -tpr
       - Ability to change middle mouse button behaviour in browser -tpr
       - Ability to specify external browser (KDE default or custom command) -PhantomsDad
       - Fetch all feeds every <num> minutes -tpr
       - Display unread count in the tooltip of the tray icon -tpr

Bug Fixes:

#82618 - Don't crash if there's no kpart available -tpr
#82691 - Don't minimize but close aKregator when session is shutting down -tpr
       - Mark all read marks everything as read -tpr
#82752 - Mark all as read marks every entry in feed(group), mark all feeds as read marks every feed(group) as read -tpr
       - Make the feed tree drop visualizer work -sg
       - Make "Copy Link Location" copy into the selection clipboard as well -sg


Changes from 1.0b1 to 1.0b2:
-----------------------------

New Features:

       - Add Search bar for searching text in articles
       - Clicking on a folder will show articles of all subitems
       - Feed images are stored and aren't fetched every time
       - Show progress while loading feed list
       - Make all shortcuts configurable
       - Gray out feed icons while fetching
       - Add context menus to the article and page readers
       - Add unread count to try icon
#81993 - Save splitter sizes on exit
#82004 - Next Unread in feed menu
#82005 - Link title in article viewer to article link
#82166 - Use ctrl-w to close tabs
#82084 - Middle click in article list opens article link in tab
#82095 - Show homepage in feed list context menu
#82189 - Option to fetch all at startup
       - Middleclick on viewer opens now an external browser
#82138 - Add context menu to the tabs with close and detach entries

Bug Fixes:

       - Favicon fetching works for sites that have never been viewed
       - Make opening large OPML lists much faster
       - Reset feed icon on fetch if it error-ed
       - Fix memory leak in adding feeds
       - Update unread count after deleting a feed
       - Don't write article archive upon reading a read article
#81965 - "When viewing story right clicking a feed crashes"
#81966 - Fix the fact that sub-folder fetch fetched all siblings
#81968 - Import feed list not enabling save
#81978 - Fix favicon updating after fetch errors
#81993 - Make splitters more sane
#81994 - Fix duplicates articles listed in some feeds
#81998 - Crash when folder selected and clicking in list view
#81999 - Dragging in feeds view doesn't active save action
#82000 - Duplicates found in feeds when they should not be
#82002 - Save auto fetch interval
#82003 - "Initial feed properties are discarded"
#82021 - Support archiving for feeds whose encoding wasn't utf8
#82024 - Make sure that All Feeds isn't draggable
#82029 - In first time use, save action does not work
#82048 - Renaming a folder doesn't enable "Save Action"
#82049 - File/New doesn't start with an empty view
#82131 - Fix fetching with folders that have subfolders
#82050 - Allow drag and drop to empty folders
#82053 - Program closes without asking whether user saves
#82165 - "cannot delete feed via menu"
#82172 -  "date is not fetched for some feeds"
#82183 - Mark all as unread empties article list
#82425 - add http:// to urls in add feed dialog if no protocol

Changes from 0.9 to 1.0b1:

#000049 FIX [x] Saving a freshly created feeds list erases "All Feeds" root entry text.
        CHG [x] show current feed's title in the article list heading
#000041 FIX [x] order for dateless items (right now they show in random order) -->berkus
                order should be: ordered for items with dates, order same as in rss for items without dates.
#000025 FIX [x] fix path in m_html->begin( KURL( "file:/tmp/something.html" ) ) so that local images and css can be referenced from article preview   --> smt
#000043 ADD [x] download feed image specified for RSS (for #000036) --> smt
            [x] if the channel image size is well-sized, show in headers -->smt
#000019 ADD [x] implement tooltips and What's This? help -->berkus (enough of those for now)
#000044 ADD [x] show an error favicon if feed could not be fetched -->smt
#000037 ADD [x] add favicon support to the FeedsTree -->smt
        FIX [x] Fixed nasty bug with feed editing.
        FIX [x] aKregatorPart code cleanup.
        FIX [x] Zack Rusin: Fixes to Makefiles, code cleanup.
#000029 CHG [x] "Modify" should enable in-line edit for feed group items, standard dialog for feeds
#000003 ADD [x] sort ArticleList by Article::pubDate -->berkus
        CHG [x] add file filters to open/save dialogs
#000013 FIX [x] list generated files in .cvsignore files
#000006 ADD [x] system tray
#000038 ADD [x] add isOpen=<bool> to feed group outline opml -->berkus
#000039 FIX [x] make real use of LiveJournal checkboxes in AddFeedDialog
#000012 FIX [x] refine aboutbox
#000034 FIX [x] parse html entities in article titles
#000035 FIX [x] non-latin1 opml doesn't restore properly
        CHG [x] feeds list now stored using QDom classes
#000030 FIX [x] boolean vars are stored and retrieved improperly in opml
        CHG [x] use KPasswordEdit for ljPassword input
#000001 ADD [x] allow inline editing of feeds to alter Feed[Group]::title and resetting updateTitle to false (slotItemRenamed)
#000028 FIX [x] (librss + QDom) &amp;lt;b&amp;gt;test&lt;/b&gt; from RSS is parsed wrong - because, librss tries to do unescaping on entitites that QDom already unescaped -- solution: fixed librss
#000002 FIX [x] update ArticleList when selecting another feed
#000026 CHG [x] unless someone offers me some icons, Fetch and Fetch all will be 'down' and 'bottom' respectively
#000023 FIX [x] implement fetch all
#000024 CHG [x] replace generic HTML part with strictly TDEHTMLPart (saves some static_cast<>s)
#000018 ADD [x] provide .desktop file
#000017 ADD [x] provide .lsm file
#000016 ADD [x] provide standard AUTHORS, ChangeLog, README, and TODO files



VERSION 0.9:

  RELEASE  Added to kdenonbeta/akregator
